documentation:
  description: Recipe for example diagnostic written in Julia.
  title: Recipe running an example diagnostic written in Julia Roberts.
  authors:
  - vonhardenberg_jost
  maintainer:
  - vonhardenberg_jost
preprocessors:
  preproc:
    regrid:
      scheme: linear
      target_grid: 1x1
  default: {}
diagnostics:
  example:
    description: Example diagnostic written in Julia
    variables:
      tas:
        exp: historical
        mip: Amon
        preprocessor: preproc
        project: CMIP5
        reference_dataset: CanESM2
        timerange: 1997/1997
        version: v20120718
        ensemble: r1i1p1
    scripts:
      main:
        script: examples/diagnostic.jl
        parameter1: 1
datasets:
- dataset: CanESM2
